Bug 1276994 - network interface renaming seriously unrelable
network interface renaming seriously unrelable
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: biosdevname (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Praveen K Paladugu
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-01 22:00 EST by Ian Donaldson
Modified: 2016-07-19 15:21 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:21:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Donaldson 2015-11-01 22:00:36 EST
Description of problem:

I've just yum updated some of our systems from kernel 4.1.8 to kernel 4.2.3
and many of them with multiple NIC vendors have had serious issues with 
network interface renaming.

This seriously affects systems acting as firewalls (multiple NIC's configured) but also observed on singly configured NIC boxes (which have 
multiple with NIC's some unused)


Version-Release number of selected component (if applicable):

kernel-4.2.3-200.fc22.x86_64


How reproducible:

Pretty much 100%


Steps to Reproduce:
1. dnf update  (to get this 4.2.3 kernel)
2. reboot
3. note there is at least one interface with the wrong name; eth0 or eth1
   instead of emN and it has no configuration).   

   ifconfig -a     shows this
   biosdevname -d  shows some non-renamed interfaces

Actual results:

System not working properly


Expected results:

System working properly


Additional info:

My hardware is Sun X2100M2 and X4100M2; both these have
multiple NIC's of different vendors.   

eg: 
- X2100M2 has 2 x NVIDIA (forcedeth driver) and 2 x Broadcom (tg3 driver)
- X4100M2 has 2 x NVIDIA (forcedeth driver) and 2 x Intel (e1000 driver)

I have correct HWADDR configured in every ifcfg-emN file, and have
biosdevname installed, and have turned biosdevname=1 in kernel
parameters (which made no difference; its supposed to default to that if biosdevname is installed)

Prior to this kernel there was some flakiness of this nature on
a very small number of systems... a reboot usually fixed it.
However since this kernel, a reboot rarely fixes it.

There is a race condition clearly here that has been exacerbated
in the latest kernel.  I suspect its related to both drivers trying
to initialize at the same time and something getting out of whack
with the biosdevname logic, which clearly wasn't robust prior anyway.


My current workaround is to reinitialize the drivers in /etc/rc.local
which is at least allowing the systems to come up but there are
various issues with daemons needing restarts if they bound to interfaces
that didn't come up the first time, requiring additional system-specific hacks.

eg:
/usr/sbin/rmmod    forcedeth
/usr/sbin/rmmod    e1000
/usr/sbin/modprobe forcedeth
/usr/sbin/modprobe e1000
/usr/sbin/ifup em1
/usr/sbin/ifup em2
#/usr/sbin/ifup em3
#/usr/sbin/ifup em4

exportfs -a
systemctl restart opensips


Prior I also tried adding a modules-load.d entry to serialize the 
driver initialization and dracut'd that into service but it didn't 
seem to help.

Sample kernel logs (containing tg3 and forcedeth)

Boot #1:


Oct 30 00:59:27 beet kernel: forcedeth: Reverse Engineered nForce ethernet driver. Version 0.64.
Oct 30 00:59:27 beet kernel: tg3.c:v3.137 (May 11, 2014)
Oct 30 00:59:27 beet kernel: tg3 0000:06:04.0 eth0: Tigon3 [partno(BCM95715) rev 9003] (PCIX:133MHz:64-bit) MAC address 00:1b:24:0c:c5:f7
Oct 30 00:59:27 beet kernel: tg3 0000:06:04.0 eth0: attached PHY is 5714 (10/100/1000Base-T Ethernet) (WireSpeed[1], EEE[0])
Oct 30 00:59:27 beet kernel: tg3 0000:06:04.0 eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0] TSOcap[1]
Oct 30 00:59:27 beet kernel: tg3 0000:06:04.0 eth0: dma_rwctrl[76148000] dma_mask[40-bit]
Oct 30 00:59:27 beet kernel: tg3 0000:06:04.1 eth1: Tigon3 [partno(BCM95715) rev 9003] (PCIX:133MHz:64-bit) MAC address 00:1b:24:0c:c5:f8
Oct 30 00:59:27 beet kernel: tg3 0000:06:04.1 eth1: attached PHY is 5714 (10/100/1000Base-T Ethernet) (WireSpeed[1], EEE[0])
Oct 30 00:59:27 beet kernel: tg3 0000:06:04.1 eth1: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[1] TSOcap[1]
Oct 30 00:59:27 beet kernel: tg3 0000:06:04.1 eth1: dma_rwctrl[76148000] dma_mask[40-bit]
Oct 30 00:59:27 beet kernel: tg3 0000:06:04.1 em2: renamed from eth1
Oct 30 00:59:27 beet kernel: tg3 0000:06:04.0 em1: renamed from eth0
Oct 30 00:59:27 beet kernel: forcedeth 0000:00:08.0: ifname eth0, PHY OUI 0x5043 @ 2, addr 00:1b:24:0c:c5:f9
Oct 30 00:59:27 beet kernel: forcedeth 0000:00:08.0: highdma csum vlan pwrctl mgmt gbit lnktim msi desc-v3
Oct 30 00:59:28 beet kernel: forcedeth 0000:00:09.0: ifname eth1, PHY OUI 0x5043 @ 3, addr 00:1b:24:0c:c5:fa
Oct 30 00:59:28 beet kernel: forcedeth 0000:00:09.0: highdma csum vlan pwrctl mgmt gbit lnktim msi desc-v3
Oct 30 00:59:39 beet kernel: tg3 0000:06:04.1 em4: renamed from em2
Oct 30 00:59:39 beet kernel: tg3 0000:06:04.0 em3: renamed from em1
Oct 30 01:00:06 beet kernel: tg3 0000:06:04.0 em3: Link is up at 100 Mbps, full duplex
Oct 30 01:00:06 beet kernel: tg3 0000:06:04.0 em3: Flow control is off for TX and off for RX
Oct 30 01:02:18 beet kernel: forcedeth: Reverse Engineered nForce ethernet driver. Version 0.64.
Oct 30 01:02:18 beet kernel: tg3.c:v3.137 (May 11, 2014)
Oct 30 01:02:18 beet kernel: tg3 0000:06:04.0 eth0: Tigon3 [partno(BCM95715) rev 9003] (PCIX:133MHz:64-bit) MAC address 00:1b:24:0c:c5:f7
Oct 30 01:02:18 beet kernel: tg3 0000:06:04.0 eth0: attached PHY is 5714 (10/100/1000Base-T Ethernet) (WireSpeed[1], EEE[0])
Oct 30 01:02:18 beet kernel: tg3 0000:06:04.0 eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0] TSOcap[1]
Oct 30 01:02:18 beet kernel: tg3 0000:06:04.0 eth0: dma_rwctrl[76148000] dma_mask[40-bit]
Oct 30 01:02:18 beet kernel: tg3 0000:06:04.1 eth1: Tigon3 [partno(BCM95715) rev 9003] (PCIX:133MHz:64-bit) MAC address 00:1b:24:0c:c5:f8
Oct 30 01:02:18 beet kernel: tg3 0000:06:04.1 eth1: attached PHY is 5714 (10/100/1000Base-T Ethernet) (WireSpeed[1], EEE[0])
Oct 30 01:02:18 beet kernel: tg3 0000:06:04.1 eth1: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[1] TSOcap[1]
Oct 30 01:02:18 beet kernel: tg3 0000:06:04.1 eth1: dma_rwctrl[76148000] dma_mask[40-bit]
Oct 30 01:02:18 beet kernel: tg3 0000:06:04.0 em1: renamed from eth0
Oct 30 01:02:18 beet kernel: tg3 0000:06:04.1 em2: renamed from eth1
Oct 30 01:02:18 beet kernel: forcedeth 0000:00:08.0: ifname eth0, PHY OUI 0x5043 @ 2, addr 00:1b:24:0c:c5:f9
Oct 30 01:02:18 beet kernel: forcedeth 0000:00:08.0: highdma csum vlan pwrctl mgmt gbit lnktim msi desc-v3
Oct 30 01:02:19 beet kernel: forcedeth 0000:00:09.0: ifname eth1, PHY OUI 0x5043 @ 3, addr 00:1b:24:0c:c5:fa
Oct 30 01:02:19 beet kernel: forcedeth 0000:00:09.0: highdma csum vlan pwrctl mgmt gbit lnktim msi desc-v3
Oct 30 01:02:28 beet kernel: tg3 0000:06:04.1 em4: renamed from em2
Oct 30 01:02:28 beet kernel: tg3 0000:06:04.0 em3: renamed from em1
Oct 30 01:02:28 beet kernel: forcedeth 0000:00:09.0 em2: renamed from eth1
Oct 30 01:02:54 beet kernel: tg3 0000:06:04.0 em3: Link is up at 100 Mbps, full duplex
Oct 30 01:02:54 beet kernel: tg3 0000:06:04.0 em3: Flow control is off for TX and off for RX


Boot #2

Oct 30 01:31:45 beet kernel: forcedeth: Reverse Engineered nForce ethernet driver. Version 0.64.
Oct 30 01:31:45 beet kernel: tg3.c:v3.137 (May 11, 2014)
Oct 30 01:31:45 beet kernel: tg3 0000:06:04.0 eth0: Tigon3 [partno(BCM95715) rev 9003] (PCIX:133MHz:64-bit) MAC address 00:1b:24:0c:c5:f7
Oct 30 01:31:45 beet kernel: tg3 0000:06:04.0 eth0: attached PHY is 5714 (10/100/1000Base-T Ethernet) (WireSpeed[1], EEE[0])
Oct 30 01:31:45 beet kernel: tg3 0000:06:04.0 eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0] TSOcap[1]
Oct 30 01:31:45 beet kernel: tg3 0000:06:04.0 eth0: dma_rwctrl[76148000] dma_mask[40-bit]
Oct 30 01:31:45 beet kernel: tg3 0000:06:04.1 eth1: Tigon3 [partno(BCM95715) rev 9003] (PCIX:133MHz:64-bit) MAC address 00:1b:24:0c:c5:f8
Oct 30 01:31:45 beet kernel: tg3 0000:06:04.1 eth1: attached PHY is 5714 (10/100/1000Base-T Ethernet) (WireSpeed[1], EEE[0])
Oct 30 01:31:45 beet kernel: tg3 0000:06:04.1 eth1: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[1] TSOcap[1]
Oct 30 01:31:45 beet kernel: tg3 0000:06:04.1 eth1: dma_rwctrl[76148000] dma_mask[40-bit]
Oct 30 01:31:45 beet kernel: tg3 0000:06:04.1 em2: renamed from eth1
Oct 30 01:31:45 beet kernel: tg3 0000:06:04.0 em1: renamed from eth0
Oct 30 01:31:45 beet kernel: forcedeth 0000:00:08.0: ifname eth0, PHY OUI 0x5043 @ 2, addr 00:1b:24:0c:c5:f9
Oct 30 01:31:45 beet kernel: forcedeth 0000:00:08.0: highdma csum vlan pwrctl mgmt gbit lnktim msi desc-v3
Oct 30 01:31:46 beet kernel: forcedeth 0000:00:09.0: ifname eth1, PHY OUI 0x5043 @ 3, addr 00:1b:24:0c:c5:fa
Oct 30 01:31:46 beet kernel: forcedeth 0000:00:09.0: highdma csum vlan pwrctl mgmt gbit lnktim msi desc-v3
Oct 30 01:31:54 beet kernel: tg3 0000:06:04.1 em4: renamed from em2
Oct 30 01:31:54 beet kernel: tg3 0000:06:04.0 em3: renamed from em1
Oct 30 01:32:22 beet kernel: tg3 0000:06:04.0 em3: Link is up at 100 Mbps, full duplex
Oct 30 01:32:22 beet kernel: tg3 0000:06:04.0 em3: Flow control is off for TX and off for RX
Oct 30 03:49:44 beet kernel: forcedeth: Reverse Engineered nForce ethernet driver. Version 0.64.
Oct 30 03:49:44 beet kernel: tg3.c:v3.137 (May 11, 2014)
Oct 30 03:49:44 beet kernel: tg3 0000:06:04.0 eth0: Tigon3 [partno(BCM95715) rev 9003] (PCIX:133MHz:64-bit) MAC address 00:1b:24:0c:c5:f7
Oct 30 03:49:44 beet kernel: tg3 0000:06:04.0 eth0: attached PHY is 5714 (10/100/1000Base-T Ethernet) (WireSpeed[1], EEE[0])
Oct 30 03:49:44 beet kernel: tg3 0000:06:04.0 eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0] TSOcap[1]
Oct 30 03:49:44 beet kernel: tg3 0000:06:04.0 eth0: dma_rwctrl[76148000] dma_mask[40-bit]
Oct 30 03:49:44 beet kernel: tg3 0000:06:04.1 eth1: Tigon3 [partno(BCM95715) rev 9003] (PCIX:133MHz:64-bit) MAC address 00:1b:24:0c:c5:f8
Oct 30 03:49:44 beet kernel: tg3 0000:06:04.1 eth1: attached PHY is 5714 (10/100/1000Base-T Ethernet) (WireSpeed[1], EEE[0])
Oct 30 03:49:44 beet kernel: tg3 0000:06:04.1 eth1: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[1] TSOcap[1]
Oct 30 03:49:44 beet kernel: tg3 0000:06:04.1 eth1: dma_rwctrl[76148000] dma_mask[40-bit]
Oct 30 03:49:44 beet kernel: tg3 0000:06:04.1 em2: renamed from eth1
Oct 30 03:49:44 beet kernel: tg3 0000:06:04.0 em1: renamed from eth0
Oct 30 03:49:44 beet kernel: forcedeth 0000:00:08.0: ifname eth0, PHY OUI 0x5043 @ 2, addr 00:1b:24:0c:c5:f9
Oct 30 03:49:44 beet kernel: forcedeth 0000:00:08.0: highdma csum vlan pwrctl mgmt gbit lnktim msi desc-v3
Oct 30 03:49:45 beet kernel: forcedeth 0000:00:09.0: ifname eth1, PHY OUI 0x5043 @ 3, addr 00:1b:24:0c:c5:fa
Oct 30 03:49:45 beet kernel: forcedeth 0000:00:09.0: highdma csum vlan pwrctl mgmt gbit lnktim msi desc-v3
Oct 30 03:49:54 beet kernel: tg3 0000:06:04.0 em3: renamed from em1
Oct 30 03:49:54 beet kernel: forcedeth 0000:00:08.0 em1: renamed from eth0
Oct 30 03:49:54 beet kernel: tg3 0000:06:04.1 em4: renamed from em2
Oct 30 03:50:03 beet kernel: forcedeth 0000:00:08.0 em1: MSI enabled
Oct 30 03:50:44 beet kernel: tg3 0000:06:04.0 em3: Link is up at 100 Mbps, full duplex
Oct 30 03:50:44 beet kernel: tg3 0000:06:04.0 em3: Flow control is off for TX and off for RX

Boot #3

Oct 30 04:16:59 beet kernel: tg3.c:v3.137 (May 11, 2014)
Oct 30 04:16:59 beet kernel: tg3 0000:06:04.0 eth0: Tigon3 [partno(BCM95715) rev 9003] (PCIX:133MHz:64-bit) MAC address 00:1b:24:0c:c5:f7
Oct 30 04:16:59 beet kernel: tg3 0000:06:04.0 eth0: attached PHY is 5714 (10/100/1000Base-T Ethernet) (WireSpeed[1], EEE[0])
Oct 30 04:16:59 beet kernel: tg3 0000:06:04.0 eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0] TSOcap[1]
Oct 30 04:16:59 beet kernel: tg3 0000:06:04.0 eth0: dma_rwctrl[76148000] dma_mask[40-bit]
Oct 30 04:16:59 beet kernel: tg3 0000:06:04.1 eth1: Tigon3 [partno(BCM95715) rev 9003] (PCIX:133MHz:64-bit) MAC address 00:1b:24:0c:c5:f8
Oct 30 04:16:59 beet kernel: tg3 0000:06:04.1 eth1: attached PHY is 5714 (10/100/1000Base-T Ethernet) (WireSpeed[1], EEE[0])
Oct 30 04:16:59 beet kernel: tg3 0000:06:04.1 eth1: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[1] TSOcap[1]
Oct 30 04:16:59 beet kernel: tg3 0000:06:04.1 eth1: dma_rwctrl[76148000] dma_mask[40-bit]
Oct 30 04:16:59 beet kernel: forcedeth: Reverse Engineered nForce ethernet driver. Version 0.64.
Oct 30 04:16:59 beet kernel: tg3 0000:06:04.1 em2: renamed from eth1
Oct 30 04:16:59 beet kernel: tg3 0000:06:04.0 em1: renamed from eth0
Oct 30 04:17:00 beet kernel: forcedeth 0000:00:08.0: ifname eth0, PHY OUI 0x5043 @ 2, addr 00:1b:24:0c:c5:f9
Oct 30 04:17:00 beet kernel: forcedeth 0000:00:08.0: highdma csum vlan pwrctl mgmt gbit lnktim msi desc-v3
Oct 30 04:17:00 beet kernel: forcedeth 0000:00:09.0: ifname eth1, PHY OUI 0x5043 @ 3, addr 00:1b:24:0c:c5:fa
Oct 30 04:17:00 beet kernel: forcedeth 0000:00:09.0: highdma csum vlan pwrctl mgmt gbit lnktim msi desc-v3
Oct 30 04:17:10 beet kernel: tg3 0000:06:04.1 em4: renamed from em2
Oct 30 04:17:10 beet kernel: forcedeth 0000:00:09.0 em2: renamed from eth1
Oct 30 04:17:10 beet kernel: tg3 0000:06:04.0 em3: renamed from em1
Oct 30 04:17:38 beet kernel: tg3 0000:06:04.0 em3: Link is up at 100 Mbps, full duplex
Oct 30 04:17:38 beet kernel: tg3 0000:06:04.0 em3: Flow control is off for TX and off for RX
Oct 30 04:24:17 beet kernel: forcedeth: Reverse Engineered nForce ethernet driver. Version 0.64.
Oct 30 04:24:18 beet kernel: forcedeth 0000:00:08.0: ifname eth0, PHY OUI 0x5043 @ 2, addr 00:1b:24:0c:c5:f9
Oct 30 04:24:18 beet kernel: forcedeth 0000:00:08.0: highdma csum vlan pwrctl mgmt gbit lnktim msi desc-v3
Oct 30 04:24:18 beet kernel: forcedeth 0000:00:08.0 em1: renamed from eth0
Oct 30 04:24:18 beet kernel: forcedeth 0000:00:09.0: ifname eth0, PHY OUI 0x5043 @ 3, addr 00:1b:24:0c:c5:fa
Oct 30 04:24:18 beet kernel: forcedeth 0000:00:09.0: highdma csum vlan pwrctl mgmt gbit lnktim msi desc-v3
Oct 30 04:24:18 beet kernel: forcedeth 0000:00:09.0 em2: renamed from eth0
Oct 30 04:24:42 beet kernel: forcedeth 0000:00:08.0 em1: MSI enabled
Oct 30 04:32:25 beet kernel: tg3.c:v3.137 (May 11, 2014)
Oct 30 04:32:25 beet kernel: tg3 0000:06:04.0 eth0: Tigon3 [partno(BCM95715) rev 9003] (PCIX:133MHz:64-bit) MAC address 00:1b:24:0c:c5:f7
Oct 30 04:32:25 beet kernel: tg3 0000:06:04.0 eth0: attached PHY is 5714 (10/100/1000Base-T Ethernet) (WireSpeed[1], EEE[0])
Oct 30 04:32:25 beet kernel: tg3 0000:06:04.0 eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0] TSOcap[1]
Oct 30 04:32:25 beet kernel: tg3 0000:06:04.0 eth0: dma_rwctrl[76148000] dma_mask[40-bit]
Oct 30 04:32:25 beet kernel: tg3 0000:06:04.1 eth1: Tigon3 [partno(BCM95715) rev 9003] (PCIX:133MHz:64-bit) MAC address 00:1b:24:0c:c5:f8
Oct 30 04:32:25 beet kernel: tg3 0000:06:04.1 eth1: attached PHY is 5714 (10/100/1000Base-T Ethernet) (WireSpeed[1], EEE[0])
Oct 30 04:32:25 beet kernel: tg3 0000:06:04.1 eth1: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[1] TSOcap[1]
Oct 30 04:32:25 beet kernel: tg3 0000:06:04.1 eth1: dma_rwctrl[76148000] dma_mask[40-bit]
Oct 30 04:32:25 beet kernel: forcedeth: Reverse Engineered nForce ethernet driver. Version 0.64.
Oct 30 04:32:25 beet kernel: tg3 0000:06:04.0 em1: renamed from eth0
Oct 30 04:32:26 beet kernel: tg3 0000:06:04.1 em2: renamed from eth1
Oct 30 04:32:26 beet kernel: forcedeth 0000:00:08.0: ifname eth0, PHY OUI 0x5043 @ 2, addr 00:1b:24:0c:c5:f9
Oct 30 04:32:26 beet kernel: forcedeth 0000:00:08.0: highdma csum vlan pwrctl mgmt gbit lnktim msi desc-v3
Oct 30 04:32:26 beet kernel: forcedeth 0000:00:09.0: ifname eth1, PHY OUI 0x5043 @ 3, addr 00:1b:24:0c:c5:fa
Oct 30 04:32:26 beet kernel: forcedeth 0000:00:09.0: highdma csum vlan pwrctl mgmt gbit lnktim msi desc-v3
Oct 30 04:32:37 beet kernel: tg3 0000:06:04.1 em4: renamed from em2
Oct 30 04:32:37 beet kernel: tg3 0000:06:04.0 em3: renamed from em1
Oct 30 04:32:37 beet kernel: forcedeth 0000:00:08.0 em1: renamed from eth0
Oct 30 04:32:37 beet kernel: forcedeth 0000:00:09.0 em2: renamed from eth1
Oct 30 04:32:47 beet kernel: forcedeth 0000:00:08.0 em1: MSI enabled
Oct 30 04:33:27 beet kernel: tg3 0000:06:04.0 em3: Link is up at 100 Mbps, full duplex
Oct 30 04:33:27 beet kernel: tg3 0000:06:04.0 em3: Flow control is off for TX and off for RX

Boot #4 (this one has my reinitialization in rc.local)

Oct 30 04:53:27 beet kernel: tg3.c:v3.137 (May 11, 2014)
Oct 30 04:53:27 beet kernel: tg3 0000:06:04.0 eth0: Tigon3 [partno(BCM95715) rev 9003] (PCIX:133MHz:64-bit) MAC address 00:1b:24:0c:c5:f7
Oct 30 04:53:27 beet kernel: tg3 0000:06:04.0 eth0: attached PHY is 5714 (10/100/1000Base-T Ethernet) (WireSpeed[1], EEE[0])
Oct 30 04:53:27 beet kernel: tg3 0000:06:04.0 eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0] TSOcap[1]
Oct 30 04:53:27 beet kernel: tg3 0000:06:04.0 eth0: dma_rwctrl[76148000] dma_mask[40-bit]
Oct 30 04:53:27 beet kernel: tg3 0000:06:04.1 eth1: Tigon3 [partno(BCM95715) rev 9003] (PCIX:133MHz:64-bit) MAC address 00:1b:24:0c:c5:f8
Oct 30 04:53:27 beet kernel: tg3 0000:06:04.1 eth1: attached PHY is 5714 (10/100/1000Base-T Ethernet) (WireSpeed[1], EEE[0])
Oct 30 04:53:27 beet kernel: tg3 0000:06:04.1 eth1: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[1] TSOcap[1]
Oct 30 04:53:27 beet kernel: tg3 0000:06:04.1 eth1: dma_rwctrl[76148000] dma_mask[40-bit]
Oct 30 04:53:27 beet kernel: forcedeth: Reverse Engineered nForce ethernet driver. Version 0.64.
Oct 30 04:53:27 beet kernel: tg3 0000:06:04.1 em2: renamed from eth1
Oct 30 04:53:27 beet kernel: tg3 0000:06:04.0 em1: renamed from eth0
Oct 30 04:53:28 beet kernel: forcedeth 0000:00:08.0: ifname eth0, PHY OUI 0x5043 @ 2, addr 00:1b:24:0c:c5:f9
Oct 30 04:53:28 beet kernel: forcedeth 0000:00:08.0: highdma csum vlan pwrctl mgmt gbit lnktim msi desc-v3
Oct 30 04:53:28 beet kernel: forcedeth 0000:00:09.0: ifname eth1, PHY OUI 0x5043 @ 3, addr 00:1b:24:0c:c5:fa
Oct 30 04:53:28 beet kernel: forcedeth 0000:00:09.0: highdma csum vlan pwrctl mgmt gbit lnktim msi desc-v3
Oct 30 04:53:39 beet kernel: tg3 0000:06:04.0 em3: renamed from em1
Oct 30 04:53:39 beet kernel: tg3 0000:06:04.1 em4: renamed from em2
 
  ... rc.local reinitialization kicks in...

Oct 30 04:54:03 beet kernel: tg3.c:v3.137 (May 11, 2014)
Oct 30 04:54:03 beet kernel: tg3 0000:06:04.0 eth0: Tigon3 [partno(BCM95715) rev 9003] (PCIX:133MHz:64-bit) MAC address 00:1b:24:0c:c5:f7
Oct 30 04:54:03 beet kernel: tg3 0000:06:04.0 eth0: attached PHY is 5714 (10/100/1000Base-T Ethernet) (WireSpeed[1], EEE[0])
Oct 30 04:54:03 beet kernel: tg3 0000:06:04.0 eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0] TSOcap[1]
Oct 30 04:54:03 beet kernel: tg3 0000:06:04.0 eth0: dma_rwctrl[76148000] dma_mask[40-bit]
Oct 30 04:54:03 beet kernel: tg3 0000:06:04.0 em3: renamed from eth0
Oct 30 04:54:03 beet kernel: tg3 0000:06:04.1 eth0: Tigon3 [partno(BCM95715) rev 9003] (PCIX:133MHz:64-bit) MAC address 00:1b:24:0c:c5:f8
Oct 30 04:54:03 beet kernel: tg3 0000:06:04.1 eth0: attached PHY is 5714 (10/100/1000Base-T Ethernet) (WireSpeed[1], EEE[0])
Oct 30 04:54:03 beet kernel: tg3 0000:06:04.1 eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[1] TSOcap[1]
Oct 30 04:54:03 beet kernel: tg3 0000:06:04.1 eth0: dma_rwctrl[76148000] dma_mask[40-bit]
Oct 30 04:54:03 beet kernel: tg3 0000:06:04.1 em4: renamed from eth0
Oct 30 04:54:03 beet kernel: forcedeth: Reverse Engineered nForce ethernet driver. Version 0.64.
Oct 30 04:54:04 beet kernel: forcedeth 0000:00:08.0: ifname eth0, PHY OUI 0x5043 @ 2, addr 00:1b:24:0c:c5:f9
Oct 30 04:54:04 beet kernel: forcedeth 0000:00:08.0: highdma csum vlan pwrctl mgmt gbit lnktim msi desc-v3
Oct 30 04:54:04 beet kernel: forcedeth 0000:00:08.0 em1: renamed from eth0
Oct 30 04:54:04 beet kernel: forcedeth 0000:00:09.0: ifname eth0, PHY OUI 0x5043 @ 3, addr 00:1b:24:0c:c5:fa
Oct 30 04:54:04 beet kernel: forcedeth 0000:00:09.0: highdma csum vlan pwrctl mgmt gbit lnktim msi desc-v3
Oct 30 04:54:04 beet kernel: forcedeth 0000:00:09.0 em2: renamed from eth0
Oct 30 04:54:04 beet kernel: forcedeth 0000:00:08.0 em1: MSI enabled
Oct 30 04:54:04 beet kernel: forcedeth 0000:00:08.0 em1: no link during initialization
Oct 30 04:54:06 beet kernel: forcedeth 0000:00:08.0 em1: link up
Oct 30 04:54:43 beet kernel: tg3 0000:06:04.0 em3: Link is up at 100 Mbps, full duplex
Oct 30 04:54:43 beet kernel: tg3 0000:06:04.0 em3: Flow control is off for TX and off for RX



Output from biosdevname -d  when its all good...

BIOS device: em1
Kernel name: em1
Permanent MAC: 00:1B:24:0C:C5:F9
Assigned MAC : 00:1B:24:0C:C5:F9
ifIndex: 8
Driver: forcedeth
Driver version: 0.64
Firmware version: 
Bus Info: 0000:00:08.0
PCI name      : 0000:00:08.0
PCI Slot      : embedded

BIOS device: em2
Kernel name: em2
Permanent MAC: 00:1B:24:0C:C5:FA
Assigned MAC : 00:1B:24:0C:C5:FA
ifIndex: 9
Driver: forcedeth
Driver version: 0.64
Firmware version: 
Bus Info: 0000:00:09.0
PCI name      : 0000:00:09.0
PCI Slot      : embedded

BIOS device: em3
Kernel name: em3
Permanent MAC: 00:1B:24:0C:C5:F7
Assigned MAC : 00:1B:24:0C:C5:F7
ifIndex: 6
Driver: tg3
Driver version: 3.137
Firmware version: 5715-v3.27
Bus Info: 0000:06:04.0
PCI name      : 0000:06:04.0
PCI Slot      : embedded
Embedded Index: 1

BIOS device: em4
Kernel name: em4
Permanent MAC: 00:1B:24:0C:C5:F8
Assigned MAC : 00:1B:24:0C:C5:F8
ifIndex: 7
Driver: tg3
Driver version: 3.137
Firmware version: 5715-v3.27, UMP 1.16
Bus Info: 0000:06:04.1
PCI name      : 0000:06:04.1
PCI Slot      : embedded
Embedded Index: 2
Comment 1 Josh Boyer 2015-11-02 09:18:04 EST
None of this is done in kernel-space.  Biosdevname (and the biosdevname=1 parameter) are userspace driven, and it requires cooperation between dracut, udev, biosdevname, and systemd.  The modules are loaded by those components and the interfaces are also renamed by them.

Reassigning to biosdevname to start with.
Comment 2 Fedora End Of Life 2016-07-19 15:21:36 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.